<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout
	xmlns:android="http://schemas.android.com/apk/res/android"
	android:layout_width="fill_parent"
	android:layout_height="fill_parent">
	
	<ImageView
		android:id="@+id/trader_avatar"
		android:layout_alignParentLeft="true"
		android:layout_width="100dip"
		android:layout_height="100dip"	
		android:layout_marginLeft="30dip"
		android:layout_marginTop="15dip"            
		android:src="@drawable/no_avatar">
	</ImageView>
		    
	<RelativeLayout
		android:id="@+id/purchase_top"
		android:layout_width="fill_parent"
		android:layout_height="100dip"
		android:layout_marginTop="15dip"
		android:layout_marginBottom="10dip"
		android:layout_toRightOf="@id/trader_avatar">
		
		<TextView
			android:id="@+id/trader_info"
			android:padding="5dip"
			android:layout_marginTop="15dip"
			android:layout_marginLeft="7dip"
			android:layout_width="wrap_content"
	    	android:layout_height="wrap_content"
	        android:textColor="@drawable/white"
		    android:text="Trader (distance)"/>
	    
		<TextView
		    android:id="@+id/location"		    	
		    android:layout_below="@id/trader_info"
		    android:padding="5dip"
		    android:layout_marginLeft="7dip"
		    android:layout_width="wrap_content"
	        android:layout_height="wrap_content"
	        android:textColor="@drawable/white"
		    android:text="Location"/>
	</RelativeLayout>
	
	<SeekBar android:id="@+id/change_amount_bar"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_below="@id/purchase_top"
        android:padding="5dip"
        android:layout_marginTop="10dip"
        android:layout_marginBottom="10dip"
        android:max="100"
        android:progress="0" />
        
	<RelativeLayout		
		android:layout_width="fill_parent"
		android:layout_height="wrap_content"
		android:layout_marginTop="10dip"
		android:layout_below="@id/change_amount_bar">
			
		<TextView android:id="@+id/remaining_cash_text"
			android:text="Remaining cash:"
			android:textColor="@drawable/white"			
			android:layout_alignParentLeft="true"
			android:padding="5dip"
			android:layout_width="fill_parent"
			android:layout_height="wrap_content" />
		
		<TextView android:id="@+id/remaining_space_text"
			android:text="Remaining space:"
			android:textColor="@drawable/white"
			android:layout_alignParentRight="true"
			android:gravity="right"		
			android:padding="5dip"
			android:layout_width="fill_parent"
			android:layout_height="wrap_content" />
	        
		<TextView android:id="@+id/remaining_cash"
			android:text="$456"
			android:textColor="@drawable/green"
			android:layout_below="@id/remaining_cash_text"
			android:layout_alignParentLeft="true"
			android:padding="5dip"
	       	android:layout_width="fill_parent"
	        android:layout_height="wrap_content" />
	
		<TextView android:id="@+id/remaining_space"
			android:text="15%"
			android:textColor="@drawable/green"
			android:layout_alignParentRight="true"
			android:layout_below="@id/remaining_space_text"		
			android:padding="5dip"
			android:gravity="right"
	       	android:layout_width="fill_parent"
	        android:layout_height="wrap_content" />
    </RelativeLayout>   
     
	<Button
		android:id="@+id/purchase_button"
		android:background="@drawable/btn_green"
		android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@drawable/white"
		android:text="Purchase"
		android:layout_alignParentBottom="true"
		android:layout_centerHorizontal="true"
		android:layout_marginBottom="20dip"
	>
	</Button>
        	    
</RelativeLayout>